# pulseaudio-tcp - Redirect PulseAudio to Remote Computer

## Requirements

### Dependencies

* jq
* Audio subsystem:
	- PulseAudio or
	- Pipewire with PulseAudio compatibility (`pipewire-pulse`)

### Installation on Client Playback Host

* pulseaudio-tcp should be installed on a computer running PulseAudio or Pipewire with PulseAudio compatibility.
* The computer pulseaudio-tcp is installed on ("local host") should use use a remote computer that has speakers attached ("remote host") for playback.
* The IP address and username of the remote host should be known.

### SSH to User Session on Remote Host

The user on the local host should have password-less SSH to the user on the remote host (required for encryption with SSH port forwarding).

```shell
ssh-copy-id <remote-user>@<remote-ip>
```

## Installation

```shell
git clone https://tk-sls.de/git/tk-sls.de/pulseaudio-tcp.git
cd pulseaudio-tcp
sudo make install
```

## Usage

### Configuration

As regular user on local host:

```shell
pulseadio-tcp setup
```

### Start service

```shell
pulseadio-tcp start
```

### Stop service

```shell
pulseadio-tcp stop
```

### Check if service is running

```shell
pulseadio-tcp status
```

## Author and Copyright

© 2023 Tilman Kranz &lt;t.kranz@tk-sls.de&gt;

Please see the file LICENSE for terms and conditions of use and distribution.
